# 01 TD introduction et MGD

## Prise en main de la simulation

Pas de problèmes particuliers rencontrés, on peut noter que la durée par défaut de la simulation est __beaucoup__ trop
longue. Par conséquent elle a été réduite à 1.5 secondes.

Les méthodes `getBaseFromToolTransform` donnent bien ce qui est attendu au final, mais la création d'un
[fichier de test unitaire](controllers/motor_controller/test_robots.py) s'est révélée utile pour détecter des petites
erreurs d'implémentation.

## Visualisation des erreurs

Si l'on effectue une pause alors que le robot est en train de se déplacer, on peut noter un léger décalage entre les
deux repères (celui décrit dans le proto et celui calculé à partir des capteurs):

![](simulation_offset.png)

Cette erreur est sans doute due à un décalage temporel étant donné qu'elle disparait dès que le robot est immobile.
On ne la retrouve pas dans les graphiques générés à partir des données:

![](simulation_plot.png)

Ce graphique montre par ailleurs le fait que le premier degré de liberté atteint sa cible bien plus rapidement que le second. On observe le même type de comportement pour le robot RRR.
